Changes
curl --request GET \
--url https://api.themoviedb.org/3/movie/{movie_id}/changes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/{movie_id}/changes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/{movie_id}/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"changes": [
{
"items": [
{
"action": "added",
"id": "6775db1d194b5816d7614a4b",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2025-01-02 00:17:33 UTC",
"value": {
"poster": {
"file_path": "/jTCgHXv8zTNgI7ELff4PkcVBhBh.jpg"
}
}
},
{
"action": "updated",
"id": "6775db30194b5816d7614a54",
"iso_3166_1": "",
"iso_639_1": "en",
"original_value": {
"poster": {
"file_path": "/jTCgHXv8zTNgI7ELff4PkcVBhBh.jpg",
"iso_639_1": null
}
},
"time": "2025-01-02 00:17:52 UTC",
"value": {
"poster": {
"file_path": "/jTCgHXv8zTNgI7ELff4PkcVBhBh.jpg",
"iso_639_1": "en"
}
}
},
{
"action": "added",
"id": "677685bc2efbf3b41d92ceac",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2025-01-02 12:25:32 UTC",
"value": {
"title_logo": {
"file_path": "/oOR5k82yzBJ6OIFVrVV47eHn7Lk.png"
}
}
},
{
"action": "updated",
"id": "677685c70f248e850812f653",
"iso_3166_1": "",
"iso_639_1": "pt",
"original_value": {
"title_logo": {
"file_path": "/oOR5k82yzBJ6OIFVrVV47eHn7Lk.png",
"iso_639_1": null
}
},
"time": "2025-01-02 12:25:43 UTC",
"value": {
"title_logo": {
"file_path": "/oOR5k82yzBJ6OIFVrVV47eHn7Lk.png",
"iso_639_1": "pt"
}
}
},
{
"action": "added",
"id": "6776e19405c46ab3fc931822",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2025-01-02 18:57:24 UTC",
"value": {
"poster": {
"file_path": "/Fj7aQbGG5FJ7WAEJkycwi8nZqC.jpg"
}
}
},
{
"action": "added",
"id": "677705f31a2df59ad374854e",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2025-01-02 21:32:35 UTC",
"value": {
"poster": {
"file_path": "/lD6n9YVuHiR6ZudGTCKlVNHmpgC.jpg"
}
}
},
{
"action": "added",
"id": "677705f31a2df59ad3748552",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2025-01-02 21:32:35 UTC",
"value": {
"poster": {
"file_path": "/7YzXRQ1dJa8Ke0LDBl7fiLojH4w.jpg"
}
}
},
{
"action": "added",
"id": "677705f4b55ff939be66776d",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2025-01-02 21:32:36 UTC",
"value": {
"poster": {
"file_path": "/qoGNVy0GKdoXMQwY3i9ammDVAbz.jpg"
}
}
},
{
"action": "updated",
"id": "677705fa6d7ca00e78723d5a",
"iso_3166_1": "",
"iso_639_1": "fr",
"original_value": {
"poster": {
"file_path": "/qoGNVy0GKdoXMQwY3i9ammDVAbz.jpg",
"iso_639_1": null
}
},
"time": "2025-01-02 21:32:42 UTC",
"value": {
"poster": {
"file_path": "/qoGNVy0GKdoXMQwY3i9ammDVAbz.jpg",
"iso_639_1": "fr"
}
}
},
{
"action": "updated",
"id": "677705fd6d7ca00e78723d5f",
"iso_3166_1": "",
"iso_639_1": "fr",
"original_value": {
"poster": {
"file_path": "/7YzXRQ1dJa8Ke0LDBl7fiLojH4w.jpg",
"iso_639_1": null
}
},
"time": "2025-01-02 21:32:45 UTC",
"value": {
"poster": {
"file_path": "/7YzXRQ1dJa8Ke0LDBl7fiLojH4w.jpg",
"iso_639_1": "fr"
}
}
},
{
"action": "updated",
"id": "677706016d7ca00e78723d60",
"iso_3166_1": "",
"iso_639_1": "fr",
"original_value": {
"poster": {
"file_path": "/lD6n9YVuHiR6ZudGTCKlVNHmpgC.jpg",
"iso_639_1": null
}
},
"time": "2025-01-02 21:32:49 UTC",
"value": {
"poster": {
"file_path": "/lD6n9YVuHiR6ZudGTCKlVNHmpgC.jpg",
"iso_639_1": "fr"
}
}
}
],
"key": "images"
},
{
"items": [
{
"action": "deleted",
"id": "6775f9d9f6fa01a2aa613844",
"iso_3166_1": "",
"iso_639_1": "",
"original_value": {
"group": "tones",
"id": 200918,
"name": "angry"
},
"time": "2025-01-02 02:28:41 UTC"
}
],
"key": "plot_keywords"
},
{
"items": [
{
"action": "added",
"id": "67771f4515521f83d9667cb9",
"iso_3166_1": "US",
"iso_639_1": "en",
"time": "2025-01-02 23:20:37 UTC",
"value": {
"id": "67771f4515521f83d9667cb8",
"key": "_ZBYN01c7OM",
"name": "Gladiator II | 20 Years of Making a Sequel (EXCLUSIVE Behind the Scenes) | Paramount Movies",
"site": "YouTube",
"size": 1080,
"type": "Behind the Scenes"
}
},
{
"action": "updated",
"id": "67771f5225e0e91c57748a1b",
"iso_3166_1": "US",
"iso_639_1": "en",
"original_value": {
"id": "67771f4515521f83d9667cb8",
"key": "_ZBYN01c7OM",
"name": "Gladiator II | 20 Years of Making a Sequel (EXCLUSIVE Behind the Scenes) | Paramount Movies",
"site": "YouTube",
"size": 1080,
"type": "Behind the Scenes"
},
"time": "2025-01-02 23:20:50 UTC",
"value": {
"id": "67771f4515521f83d9667cb8",
"key": "_ZBYN01c7OM",
"name": "20 Years of Making a Sequel - Exclusive Behind the Scenes",
"site": "YouTube",
"size": 1080,
"type": "Behind the Scenes"
}
}
],
"key": "videos"
}
]
}MOVIES
Changes
This endpoint get the recent changes for a movie.
GET
/
3
/
movie
/
{movie_id}
/
changes
Changes
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
This is a unique identifier for a movie.
Example:
""
Query Parameters
It specifies what date you want the results to start from
This indicates the end of the date range for the data you want to retrieve
Indicates which page of results to return. Default is the first page (1).
Example:
1
Response
200 - application/json
changes
An array of changes made to a movie's details, categorized by the type of change.
Show child attributes
Show child attributes
Example:
[
{
"items": [
{
"action": "added",
"id": "6775db1d194b5816d7614a4b",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2025-01-02 00:17:33 UTC",
"value": {
"poster": {
"file_path": "/jTCgHXv8zTNgI7ELff4PkcVBhBh.jpg"
}
}
},
{
"action": "updated",
"id": "6775db30194b5816d7614a54",
"iso_3166_1": "",
"iso_639_1": "en",
"original_value": {
"poster": {
"file_path": "/jTCgHXv8zTNgI7ELff4PkcVBhBh.jpg",
"iso_639_1": null
}
},
"time": "2025-01-02 00:17:52 UTC",
"value": {
"poster": {
"file_path": "/jTCgHXv8zTNgI7ELff4PkcVBhBh.jpg",
"iso_639_1": "en"
}
}
},
{
"action": "added",
"id": "677685bc2efbf3b41d92ceac",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2025-01-02 12:25:32 UTC",
"value": {
"title_logo": {
"file_path": "/oOR5k82yzBJ6OIFVrVV47eHn7Lk.png"
}
}
},
{
"action": "updated",
"id": "677685c70f248e850812f653",
"iso_3166_1": "",
"iso_639_1": "pt",
"original_value": {
"title_logo": {
"file_path": "/oOR5k82yzBJ6OIFVrVV47eHn7Lk.png",
"iso_639_1": null
}
},
"time": "2025-01-02 12:25:43 UTC",
"value": {
"title_logo": {
"file_path": "/oOR5k82yzBJ6OIFVrVV47eHn7Lk.png",
"iso_639_1": "pt"
}
}
},
{
"action": "added",
"id": "6776e19405c46ab3fc931822",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2025-01-02 18:57:24 UTC",
"value": {
"poster": {
"file_path": "/Fj7aQbGG5FJ7WAEJkycwi8nZqC.jpg"
}
}
},
{
"action": "added",
"id": "677705f31a2df59ad374854e",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2025-01-02 21:32:35 UTC",
"value": {
"poster": {
"file_path": "/lD6n9YVuHiR6ZudGTCKlVNHmpgC.jpg"
}
}
},
{
"action": "added",
"id": "677705f31a2df59ad3748552",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2025-01-02 21:32:35 UTC",
"value": {
"poster": {
"file_path": "/7YzXRQ1dJa8Ke0LDBl7fiLojH4w.jpg"
}
}
},
{
"action": "added",
"id": "677705f4b55ff939be66776d",
"iso_3166_1": "",
"iso_639_1": "",
"time": "2025-01-02 21:32:36 UTC",
"value": {
"poster": {
"file_path": "/qoGNVy0GKdoXMQwY3i9ammDVAbz.jpg"
}
}
},
{
"action": "updated",
"id": "677705fa6d7ca00e78723d5a",
"iso_3166_1": "",
"iso_639_1": "fr",
"original_value": {
"poster": {
"file_path": "/qoGNVy0GKdoXMQwY3i9ammDVAbz.jpg",
"iso_639_1": null
}
},
"time": "2025-01-02 21:32:42 UTC",
"value": {
"poster": {
"file_path": "/qoGNVy0GKdoXMQwY3i9ammDVAbz.jpg",
"iso_639_1": "fr"
}
}
},
{
"action": "updated",
"id": "677705fd6d7ca00e78723d5f",
"iso_3166_1": "",
"iso_639_1": "fr",
"original_value": {
"poster": {
"file_path": "/7YzXRQ1dJa8Ke0LDBl7fiLojH4w.jpg",
"iso_639_1": null
}
},
"time": "2025-01-02 21:32:45 UTC",
"value": {
"poster": {
"file_path": "/7YzXRQ1dJa8Ke0LDBl7fiLojH4w.jpg",
"iso_639_1": "fr"
}
}
},
{
"action": "updated",
"id": "677706016d7ca00e78723d60",
"iso_3166_1": "",
"iso_639_1": "fr",
"original_value": {
"poster": {
"file_path": "/lD6n9YVuHiR6ZudGTCKlVNHmpgC.jpg",
"iso_639_1": null
}
},
"time": "2025-01-02 21:32:49 UTC",
"value": {
"poster": {
"file_path": "/lD6n9YVuHiR6ZudGTCKlVNHmpgC.jpg",
"iso_639_1": "fr"
}
}
}
],
"key": "images"
},
{
"items": [
{
"action": "deleted",
"id": "6775f9d9f6fa01a2aa613844",
"iso_3166_1": "",
"iso_639_1": "",
"original_value": {
"group": "tones",
"id": 200918,
"name": "angry"
},
"time": "2025-01-02 02:28:41 UTC"
}
],
"key": "plot_keywords"
},
{
"items": [
{
"action": "added",
"id": "67771f4515521f83d9667cb9",
"iso_3166_1": "US",
"iso_639_1": "en",
"time": "2025-01-02 23:20:37 UTC",
"value": {
"id": "67771f4515521f83d9667cb8",
"key": "_ZBYN01c7OM",
"name": "Gladiator II | 20 Years of Making a Sequel (EXCLUSIVE Behind the Scenes) | Paramount Movies",
"site": "YouTube",
"size": 1080,
"type": "Behind the Scenes"
}
},
{
"action": "updated",
"id": "67771f5225e0e91c57748a1b",
"iso_3166_1": "US",
"iso_639_1": "en",
"original_value": {
"id": "67771f4515521f83d9667cb8",
"key": "_ZBYN01c7OM",
"name": "Gladiator II | 20 Years of Making a Sequel (EXCLUSIVE Behind the Scenes) | Paramount Movies",
"site": "YouTube",
"size": 1080,
"type": "Behind the Scenes"
},
"time": "2025-01-02 23:20:50 UTC",
"value": {
"id": "67771f4515521f83d9667cb8",
"key": "_ZBYN01c7OM",
"name": "20 Years of Making a Sequel - Exclusive Behind the Scenes",
"site": "YouTube",
"size": 1080,
"type": "Behind the Scenes"
}
}
],
"key": "videos"
}
]
⌘I